Bug 1127428 - Rebase openstack-neutron to 2014.1.2
Summary: Rebase openstack-neutron to 2014.1.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 5.0 (RHEL 7)
Assignee: Ihar Hrachyshka
QA Contact: Nir Magnezi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:46 UTC by Lon Hohberger
Modified: 2016-04-26 17:19 UTC (History)
4 users (show)

Fixed In Version: openstack-neutron-2014.1.2-2.el7ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
openstack-neutron has been rebased to version: 2014.1.2 Important fixes and notable enhancements include: * Multiple Open vSwitch agent fixes: now sets bridges in the correct order to avoid breaking tunnel networks; creates the integration bridge if it is missing; sets secure-failing mode for integration bridges to ensure the 'openvswitch' service does not program NORMAL action on restart and instead relies on L2 agent to manage those bridges on restart; limits veth names to 15 characters; and finally, no longer spawns RPC consumers before all the needed data structures are ready to be accessed. * RPC interactions between DHCP agent and Neutron plug-in have been optimized. * Rule updates for security groups are now applied more effectively. * FWaaS: a possible race condition when deleting a firewall has been fixed; iptables updates are no longer deferred for the service. * Metering: metering data for egress and ingress are now reported separately; incorrect router key used to report against MongoDB has been fixed; * LBaaS: resources are now registered against quotas engine; rootwrap filters are now shipped independent from L3 agent filters. * Metaplugin now supports multiple RPC workers. * Plug-in updates, including BigSwitch, Brocade, Cisco N1k, HyperV, OFAgent, PLUMgrid, and VMWare NSX. For more details, see https://launchpad.net/neutron/icehouse/2014.1.2.
Clone Of:
Environment:
Last Closed: 2014-09-02 18:00:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1119 normal SHIPPED_LIVE Moderate: openstack-neutron security, bug fix, and enhancement update 2014-09-02 21:58:42 UTC

Description Lon Hohberger 2014-08-06 20:46:12 UTC
Rebase openstack-neutron to 2014.1.2.  If appropriate, link any critical issues addressed in this rebase.

Comment 3 Nir Magnezi 2014-08-14 10:08:47 UTC
Verified NVR: openstack-neutron-2014.1.2-2.el7ost

Sanity tested OK.

Comment 6 errata-xmlrpc 2014-09-02 18:00:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1119.html


Note You need to log in before you can comment on or make changes to this bug.